Bug 205959

Summary: CSSTransition is missing default initialization for m_currentStyle
Product: WebKit Reporter: Sunny He <sunny_he>
Component: AnimationsAssignee: Nobody <webkit-unassigned>
Status: RESOLVED FIXED    
Severity: Normal CC: commit-queue, dino, graouts, rniwa, webkit-bug-importer
Priority: P2 Keywords: InRadar
Version: WebKit Nightly Build   
Hardware: Unspecified   
OS: Unspecified   
Attachments:
Description Flags
Patch
none
Patch
none
Patch none

Description Sunny He 2020-01-08 14:34:40 PST
rdar://57073673

This causes occasional null-pointer crashes when currentStyle() gets called on the CSSTransition before resolve.
Comment 1 Sunny He 2020-01-08 14:49:00 PST
Created attachment 387141 [details]
Patch
Comment 2 Sunny He 2020-01-31 13:35:22 PST
Created attachment 389404 [details]
Patch
Comment 3 Sunny He 2020-01-31 16:07:23 PST
Created attachment 389436 [details]
Patch
Comment 4 WebKit Commit Bot 2020-02-12 00:39:55 PST
Comment on attachment 389436 [details]
Patch

Clearing flags on attachment: 389436

Committed r256427: <https://trac.webkit.org/changeset/256427>
Comment 5 WebKit Commit Bot 2020-02-12 00:39:57 PST
All reviewed patches have been landed.  Closing bug.